Subject: Re: bug#47493: 27.1; auto-save-file-name-transforms with uniquify should not create invalid filenames

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 08 May 2021 14:34:14 +0200

Michael Albinus <[email-masked]> writes:

>> Maybe we could have a flag which means "convert the directory part of a
>> file name into sha1" (or whatever `secure-hash' provides).
>
> Nobody has commented. Well, in a couple of days I will push the appended
> patch, unless there are objections.

As far as I can tell, the patch wasn't pushed?

> + If the optional element UNIQUIFY is a symbol returned by function
> + `secure-hash-algorithms', the auto-save file name is constructed
> + by taking the directory part of the replaced file-name,
> + concatenated with the buffer file name run through `secure-hash'
> + instead.  This returns a valid name for your filesystem any way.

Vladimir didn't have any examples for invalid file names, apparently,
but it looks like a good change to me.  (I.e., being able to opt in to
using a hash instead of !!-ing.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no